require("core-js/modules/es.array.map.js");

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/newArrowCheck", "react", "@react-hook/merged-ref", "../../BlockStatement", "../../Code", "../../Identifier", "../../../providers/ParentBodyPathProvider", "../../Smart", "../../types/TypeParameterDeclaration", "../../types/TypeReference", "../../../util"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/newArrowCheck"), require("react"), require("@react-hook/merged-ref"), require("../../BlockStatement"), require("../../Code"), require("../../Identifier"), require("../../../providers/ParentBodyPathProvider"), require("../../Smart"), require("../../types/TypeParameterDeclaration"), require("../../types/TypeReference"), require("../../../util"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.newArrowCheck, global.react, global.mergedRef, global.BlockStatement, global.Code, global.Identifier, global.ParentBodyPathProvider, global.Smart, global.TypeParameterDeclaration, global.TypeReference, global.util);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _newArrowCheck2, _react, _mergedRef, _BlockStatement, _Code, _Identifier, _ParentBodyPathProvider, _Smart, _TypeParameterDeclaration, _TypeReference, _util) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _newArrowCheck2 = _interopRequireDefault(_newArrowCheck2);
  _react = _interopRequireWildcard(_react);
  _mergedRef = _interopRequireDefault(_mergedRef);
  _BlockStatement = _interopRequireDefault(_BlockStatement);
  _Code = _interopRequireDefault(_Code);
  _Identifier = _interopRequireDefault(_Identifier);
  _ParentBodyPathProvider = _interopRequireDefault(_ParentBodyPathProvider);
  _Smart = _interopRequireDefault(_Smart);
  _TypeParameterDeclaration = _interopRequireDefault(_TypeParameterDeclaration);
  _TypeReference = _interopRequireDefault(_TypeReference);

  var _this = void 0;

  var ClassDeclaration = /*#__PURE__*/(0, _react.forwardRef)(function (props, forwardedRef) {
    (0, _newArrowCheck2.default)(this, _this);
    var children = props.children,
        debug = props.debug,
        id = props.id,
        superClass = props.superClass,
        superTypeParameters = props.superTypeParameters,
        typeParameters = props.typeParameters;
    var mergedRef = (0, _mergedRef.default)(forwardedRef, (0, _util.debugRef)(debug));
    var code = "class ".concat(id, " {}");

    function renderSuperClass() {
      return /*#__PURE__*/_react.default.createElement(_ParentBodyPathProvider.default, {
        value: "superClass"
      }, typeof superClass === 'string' ? /*#__PURE__*/_react.default.createElement(_Identifier.default, null, superClass) : superClass);
    }

    function renderTypeParameter(typeParameter) {
      return typeof typeParameter === 'string' ? /*#__PURE__*/_react.default.createElement(_TypeReference.default, {
        name: typeParameter
      }) : typeParameter;
    }

    function renderTypeParameters() {
      if (!typeParameters) return null;
      return /*#__PURE__*/_react.default.createElement(_ParentBodyPathProvider.default, {
        value: "typeParameters"
      }, /*#__PURE__*/_react.default.createElement(_TypeParameterDeclaration.default, null, Array.isArray(typeParameters) ? typeParameters.map(renderTypeParameter) : renderTypeParameter(typeParameters)));
    }

    function renderSuperTypeParameters() {
      if (!superTypeParameters) return null;
      return /*#__PURE__*/_react.default.createElement(_ParentBodyPathProvider.default, {
        value: "superTypeParameters"
      }, /*#__PURE__*/_react.default.createElement(_TypeParameterDeclaration.default, null, Array.isArray(superTypeParameters) ? superTypeParameters.map(renderTypeParameter) : renderTypeParameter(superTypeParameters)));
    }

    function renderChildren() {
      if (typeof children === 'string') {
        return /*#__PURE__*/_react.default.createElement(_Code.default, null, children);
      }

      return children;
    }

    return /*#__PURE__*/_react.default.createElement(_Smart.default, {
      code: code,
      deletePaths: "body.body",
      ref: mergedRef
    }, /*#__PURE__*/_react.default.createElement(_ParentBodyPathProvider.default, {
      value: undefined
    }, renderSuperClass(), renderSuperTypeParameters(), renderTypeParameters(), /*#__PURE__*/_react.default.createElement(_BlockStatement.default, null, renderChildren())));
  }.bind(void 0));
  ClassDeclaration.defaultProps = {
    debug: false
  };
  var _default = ClassDeclaration;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map