require("core-js/modules/es.array.reduce.js");

require("core-js/modules/es.array.reverse.js");

require("core-js/modules/es.regexp.exec.js");

require("core-js/modules/es.string.split.js");

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/newArrowCheck", "prop-types", "react", "@react-hook/merged-ref", "../AssignmentExpression", "../../Identifier", "../MemberExpression", "../../../util", "../CallExpression"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/newArrowCheck"), require("prop-types"), require("react"), require("@react-hook/merged-ref"), require("../AssignmentExpression"), require("../../Identifier"), require("../MemberExpression"), require("../../../util"), require("../CallExpression"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.newArrowCheck, global.propTypes, global.react, global.mergedRef, global.AssignmentExpression, global.Identifier, global.MemberExpression, global.util, global.CallExpression);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _newArrowCheck2, _propTypes, _react, _mergedRef, _AssignmentExpression, _Identifier, _MemberExpression, _util, _CallExpression) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _newArrowCheck2 = _interopRequireDefault(_newArrowCheck2);
  _propTypes = _interopRequireDefault(_propTypes);
  _react = _interopRequireWildcard(_react);
  _mergedRef = _interopRequireDefault(_mergedRef);
  _AssignmentExpression = _interopRequireDefault(_AssignmentExpression);
  _Identifier = _interopRequireDefault(_Identifier);
  _MemberExpression = _interopRequireDefault(_MemberExpression);
  _CallExpression = _interopRequireDefault(_CallExpression);

  var _this = void 0;

  var Expression = /*#__PURE__*/(0, _react.forwardRef)(function (props, forwardedRef) {
    (0, _newArrowCheck2.default)(this, _this);
    var call = props.call,
        children = props.children,
        debug = props.debug;
    var mergedRef = (0, _mergedRef.default)(forwardedRef, (0, _util.debugRef)(debug));

    function renderAssignmentExpression() {
      var properties = renderProperties((typeof props.properties === 'string' ? props.properties.split('.') : props.properties) || []);

      if (typeof children !== 'undefined') {
        return /*#__PURE__*/_react.default.createElement(_AssignmentExpression.default, {
          left: properties
        }, children);
      }

      return properties;
    }

    function renderProperties(properties) {
      var _this2 = this;

      var Comp = properties.reverse().reduce(function (Comp, property, i) {
        var _this3 = this;

        (0, _newArrowCheck2.default)(this, _this2);

        var NewComp = function NewComp(_ref) {
          (0, _newArrowCheck2.default)(this, _this3);
          var children = _ref.children;
          return /*#__PURE__*/_react.default.createElement(Comp, null, call && i === 0 ? /*#__PURE__*/_react.default.createElement(_CallExpression.default, {
            arguments: props.arguments,
            name: property
          }, children) : /*#__PURE__*/_react.default.createElement(_MemberExpression.default, {
            name: property
          }, children));
        }.bind(this);

        NewComp.propTypes = {
          children: _propTypes.default.node
        };

        if (i === properties.length - 1) {
          NewComp = function NewComp() {
            (0, _newArrowCheck2.default)(this, _this3);
            return /*#__PURE__*/_react.default.createElement(Comp, null, call && properties.length <= 1 ? /*#__PURE__*/_react.default.createElement(_CallExpression.default, {
              arguments: props.arguments,
              name: property
            }) : /*#__PURE__*/_react.default.createElement(_Identifier.default, {
              ref: mergedRef
            }, property));
          }.bind(this);
        }

        return NewComp;
      }.bind(this), function (_ref2) {
        (0, _newArrowCheck2.default)(this, _this2);
        var children = _ref2.children;
        return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, children);
      }.bind(this));
      return /*#__PURE__*/_react.default.createElement(Comp, null);
    }

    return renderAssignmentExpression();
  }.bind(void 0));
  Expression.defaultProps = {
    call: false,
    debug: false
  };
  var _default = Expression;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map