(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "./ArrowFunctionExpression", "./Function", "./FunctionDeclaration", "./Return", "./ReturnStatement"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("./ArrowFunctionExpression"), require("./Function"), require("./FunctionDeclaration"), require("./Return"), require("./ReturnStatement"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.ArrowFunctionExpression, global.Function, global.FunctionDeclaration, global.Return, global.ReturnStatement);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _ArrowFunctionExpression, _Function, _FunctionDeclaration, _Return, _ReturnStatement) {
  "use strict";

  var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  var _exportNames = {
    ArrowFunctionExpression: true,
    Function: true,
    FunctionDeclaration: true,
    Return: true,
    ReturnStatement: true
  };
  Object.defineProperty(_exports, "ArrowFunctionExpression", {
    enumerable: true,
    get: function get() {
      return _ArrowFunctionExpression.default;
    }
  });
  Object.defineProperty(_exports, "Function", {
    enumerable: true,
    get: function get() {
      return _Function.default;
    }
  });
  Object.defineProperty(_exports, "FunctionDeclaration", {
    enumerable: true,
    get: function get() {
      return _FunctionDeclaration.default;
    }
  });
  Object.defineProperty(_exports, "Return", {
    enumerable: true,
    get: function get() {
      return _Return.default;
    }
  });
  Object.defineProperty(_exports, "ReturnStatement", {
    enumerable: true,
    get: function get() {
      return _ReturnStatement.default;
    }
  });
  _ArrowFunctionExpression = _interopRequireWildcard(_ArrowFunctionExpression);
  Object.keys(_ArrowFunctionExpression).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _ArrowFunctionExpression[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _ArrowFunctionExpression[key];
      }
    });
  });
  _Function = _interopRequireWildcard(_Function);
  Object.keys(_Function).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _Function[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _Function[key];
      }
    });
  });
  _FunctionDeclaration = _interopRequireWildcard(_FunctionDeclaration);
  Object.keys(_FunctionDeclaration).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _FunctionDeclaration[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _FunctionDeclaration[key];
      }
    });
  });
  _Return = _interopRequireWildcard(_Return);
  Object.keys(_Return).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _Return[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _Return[key];
      }
    });
  });
  _ReturnStatement = _interopRequireWildcard(_ReturnStatement);
  Object.keys(_ReturnStatement).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _ReturnStatement[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _ReturnStatement[key];
      }
    });
  });
});
//# sourceMappingURL=index.js.map