require("core-js/modules/es.array.map.js");

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/newArrowCheck", "react", "@react-hook/merged-ref", "../../Code", "../ExportSpecifier", "../../../providers/ParentBodyPathProvider", "../../Smart", "../../../util"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/newArrowCheck"), require("react"), require("@react-hook/merged-ref"), require("../../Code"), require("../ExportSpecifier"), require("../../../providers/ParentBodyPathProvider"), require("../../Smart"), require("../../../util"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.newArrowCheck, global.react, global.mergedRef, global.Code, global.ExportSpecifier, global.ParentBodyPathProvider, global.Smart, global.util);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _newArrowCheck2, _react, _mergedRef, _Code, _ExportSpecifier, _ParentBodyPathProvider, _Smart, _util) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _newArrowCheck2 = _interopRequireDefault(_newArrowCheck2);
  _react = _interopRequireWildcard(_react);
  _mergedRef = _interopRequireDefault(_mergedRef);
  _Code = _interopRequireDefault(_Code);
  _ExportSpecifier = _interopRequireDefault(_ExportSpecifier);
  _ParentBodyPathProvider = _interopRequireDefault(_ParentBodyPathProvider);
  _Smart = _interopRequireDefault(_Smart);

  var _this = void 0;

  var ExportNamedDeclaration = /*#__PURE__*/(0, _react.forwardRef)(function (props, forwardedRef) {
    (0, _newArrowCheck2.default)(this, _this);
    var children = props.children,
        debug = props.debug,
        source = props.source,
        specifiers = props.specifiers;
    var mergedRef = (0, _mergedRef.default)(forwardedRef, (0, _util.debugRef)(debug));
    var code = "export {}".concat(source ? " from '".concat(source, "'") : '');

    function renderChildren() {
      if (typeof children === 'string') {
        return /*#__PURE__*/_react.default.createElement(_Code.default, null, children);
      }

      return children;
    }

    function renderSpecifier(specifier) {
      if (typeof specifier === 'string') {
        return /*#__PURE__*/_react.default.createElement(_ExportSpecifier.default, null, specifier);
      }

      return specifier;
    }

    function renderSpecifiers() {
      if (!specifiers) return null;
      return /*#__PURE__*/_react.default.createElement(_ParentBodyPathProvider.default, {
        value: "specifiers"
      }, Array.isArray(specifiers) ? specifiers.map(renderSpecifier) : renderSpecifier(specifiers));
    }

    return /*#__PURE__*/_react.default.createElement(_Smart.default, {
      code: code,
      bodyPath: "declaration",
      ref: mergedRef
    }, /*#__PURE__*/_react.default.createElement(_ParentBodyPathProvider.default, {
      value: undefined
    }, renderSpecifiers(), renderChildren()));
  }.bind(void 0));
  ExportNamedDeclaration.defaultProps = {
    debug: false
  };
  var _default = ExportNamedDeclaration;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map