(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "./Export", "./ExportDefaultDeclaration", "./ExportNamedDeclaration", "./ExportSpecifier", "./Import", "./ImportDeclaration", "./ImportSpecifier"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("./Export"), require("./ExportDefaultDeclaration"), require("./ExportNamedDeclaration"), require("./ExportSpecifier"), require("./Import"), require("./ImportDeclaration"), require("./ImportSpecifier"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.Export, global.ExportDefaultDeclaration, global.ExportNamedDeclaration, global.ExportSpecifier, global.Import, global.ImportDeclaration, global.ImportSpecifier);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _Export, _ExportDefaultDeclaration, _ExportNamedDeclaration, _ExportSpecifier, _Import, _ImportDeclaration, _ImportSpecifier) {
  "use strict";

  var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  var _exportNames = {
    Export: true,
    ExportDefaultDeclaration: true,
    ExportNamedDeclaration: true,
    ExportSpecifier: true,
    Import: true,
    ImportDeclaration: true,
    ImportSpecifier: true
  };
  Object.defineProperty(_exports, "Export", {
    enumerable: true,
    get: function get() {
      return _Export.default;
    }
  });
  Object.defineProperty(_exports, "ExportDefaultDeclaration", {
    enumerable: true,
    get: function get() {
      return _ExportDefaultDeclaration.default;
    }
  });
  Object.defineProperty(_exports, "ExportNamedDeclaration", {
    enumerable: true,
    get: function get() {
      return _ExportNamedDeclaration.default;
    }
  });
  Object.defineProperty(_exports, "ExportSpecifier", {
    enumerable: true,
    get: function get() {
      return _ExportSpecifier.default;
    }
  });
  Object.defineProperty(_exports, "Import", {
    enumerable: true,
    get: function get() {
      return _Import.default;
    }
  });
  Object.defineProperty(_exports, "ImportDeclaration", {
    enumerable: true,
    get: function get() {
      return _ImportDeclaration.default;
    }
  });
  Object.defineProperty(_exports, "ImportSpecifier", {
    enumerable: true,
    get: function get() {
      return _ImportSpecifier.default;
    }
  });
  _Export = _interopRequireWildcard(_Export);
  Object.keys(_Export).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _Export[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _Export[key];
      }
    });
  });
  _ExportDefaultDeclaration = _interopRequireWildcard(_ExportDefaultDeclaration);
  Object.keys(_ExportDefaultDeclaration).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _ExportDefaultDeclaration[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _ExportDefaultDeclaration[key];
      }
    });
  });
  _ExportNamedDeclaration = _interopRequireWildcard(_ExportNamedDeclaration);
  Object.keys(_ExportNamedDeclaration).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _ExportNamedDeclaration[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _ExportNamedDeclaration[key];
      }
    });
  });
  _ExportSpecifier = _interopRequireWildcard(_ExportSpecifier);
  Object.keys(_ExportSpecifier).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _ExportSpecifier[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _ExportSpecifier[key];
      }
    });
  });
  _Import = _interopRequireWildcard(_Import);
  Object.keys(_Import).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _Import[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _Import[key];
      }
    });
  });
  _ImportDeclaration = _interopRequireWildcard(_ImportDeclaration);
  Object.keys(_ImportDeclaration).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _ImportDeclaration[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _ImportDeclaration[key];
      }
    });
  });
  _ImportSpecifier = _interopRequireWildcard(_ImportSpecifier);
  Object.keys(_ImportSpecifier).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _ImportSpecifier[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _ImportSpecifier[key];
      }
    });
  });
});
//# sourceMappingURL=index.js.map