(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "./TypeAnnotation", "./TypeParameterDeclaration", "./TypeParameterInstantiation", "./TypeReference"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("./TypeAnnotation"), require("./TypeParameterDeclaration"), require("./TypeParameterInstantiation"), require("./TypeReference"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.TypeAnnotation, global.TypeParameterDeclaration, global.TypeParameterInstantiation, global.TypeReference);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _TypeAnnotation, _TypeParameterDeclaration, _TypeParameterInstantiation, _TypeReference) {
  "use strict";

  var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  var _exportNames = {
    TypeAnnotation: true,
    TypeParameterDeclaration: true,
    TypeParameterInstantiation: true,
    TypeReference: true
  };
  Object.defineProperty(_exports, "TypeAnnotation", {
    enumerable: true,
    get: function get() {
      return _TypeAnnotation.default;
    }
  });
  Object.defineProperty(_exports, "TypeParameterDeclaration", {
    enumerable: true,
    get: function get() {
      return _TypeParameterDeclaration.default;
    }
  });
  Object.defineProperty(_exports, "TypeParameterInstantiation", {
    enumerable: true,
    get: function get() {
      return _TypeParameterInstantiation.default;
    }
  });
  Object.defineProperty(_exports, "TypeReference", {
    enumerable: true,
    get: function get() {
      return _TypeReference.default;
    }
  });
  _TypeAnnotation = _interopRequireWildcard(_TypeAnnotation);
  Object.keys(_TypeAnnotation).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _TypeAnnotation[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _TypeAnnotation[key];
      }
    });
  });
  _TypeParameterDeclaration = _interopRequireWildcard(_TypeParameterDeclaration);
  Object.keys(_TypeParameterDeclaration).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _TypeParameterDeclaration[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _TypeParameterDeclaration[key];
      }
    });
  });
  _TypeParameterInstantiation = _interopRequireWildcard(_TypeParameterInstantiation);
  Object.keys(_TypeParameterInstantiation).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _TypeParameterInstantiation[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _TypeParameterInstantiation[key];
      }
    });
  });
  _TypeReference = _interopRequireWildcard(_TypeReference);
  Object.keys(_TypeReference).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _TypeReference[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _TypeReference[key];
      }
    });
  });
});
//# sourceMappingURL=index.js.map