(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/newArrowCheck", "react", "@react-hook/merged-ref", "../../../providers/ParentBodyPathProvider", "../../Smart", "../../../util"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/newArrowCheck"), require("react"), require("@react-hook/merged-ref"), require("../../../providers/ParentBodyPathProvider"), require("../../Smart"), require("../../../util"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.newArrowCheck, global.react, global.mergedRef, global.ParentBodyPathProvider, global.Smart, global.util);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _newArrowCheck2, _react, _mergedRef, _ParentBodyPathProvider, _Smart, _util) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = _exports.VariableDeclarationKind = void 0;
  _newArrowCheck2 = _interopRequireDefault(_newArrowCheck2);
  _react = _interopRequireWildcard(_react);
  _mergedRef = _interopRequireDefault(_mergedRef);
  _ParentBodyPathProvider = _interopRequireDefault(_ParentBodyPathProvider);
  _Smart = _interopRequireDefault(_Smart);

  var _this = void 0;

  var VariableDeclaration = /*#__PURE__*/(0, _react.forwardRef)(function (props, forwardedRef) {
    (0, _newArrowCheck2.default)(this, _this);
    var children = props.children,
        debug = props.debug,
        kind = props.kind;
    var mergedRef = (0, _mergedRef.default)(forwardedRef, (0, _util.debugRef)(debug));
    var code = "".concat(kind, " v = 0");
    return /*#__PURE__*/_react.default.createElement(_Smart.default, {
      code: code,
      deletePaths: "declarations.0",
      bodyPath: "declarations",
      ref: mergedRef
    }, /*#__PURE__*/_react.default.createElement(_ParentBodyPathProvider.default, {
      value: undefined
    }, children));
  }.bind(void 0));
  var VariableDeclarationKind;
  _exports.VariableDeclarationKind = VariableDeclarationKind;

  (function (VariableDeclarationKind) {
    VariableDeclarationKind["Const"] = "const";
    VariableDeclarationKind["Let"] = "let";
    VariableDeclarationKind["Var"] = "var";
  })(VariableDeclarationKind || (_exports.VariableDeclarationKind = VariableDeclarationKind = {}));

  VariableDeclaration.defaultProps = {
    debug: false,
    kind: VariableDeclarationKind.Var
  };
  var _default = VariableDeclaration;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map