require("core-js/modules/es.function.name.js");

require("core-js/modules/es.number.constructor.js");

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/defineProperty", "@babel/runtime/helpers/newArrowCheck", "@babel/types", "@babel/generator", "prettier", "./reconciler", "./pkg", "./elements", "./util", "./context"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/defineProperty"), require("@babel/runtime/helpers/newArrowCheck"), require("@babel/types"), require("@babel/generator"), require("prettier"), require("./reconciler"), require("./pkg"), require("./elements"), require("./util"), require("./context"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.defineProperty, global.newArrowCheck, global.types, global.generator, global.prettier, global.reconciler, global.pkg, global.elements, global.util, global.context);
    global.render = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _defineProperty2, _newArrowCheck2, t, _generator, _prettier, _reconciler, _pkg, _elements, _util, _context) {
  "use strict";

  var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.renderAst = renderAst;
  _exports.render = render;
  _defineProperty2 = _interopRequireDefault(_defineProperty2);
  _newArrowCheck2 = _interopRequireDefault(_newArrowCheck2);
  t = _interopRequireWildcard(t);
  _generator = _interopRequireDefault(_generator);
  _prettier = _interopRequireDefault(_prettier);
  _reconciler = _interopRequireDefault(_reconciler);
  _pkg = _interopRequireDefault(_pkg);

  function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

  function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

  function renderAst(element) {
    var _this = this;

    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var ast = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : t.file(t.program([]), [], []);
    (0, _context.updateContext)({
      parserOptions: options.parserOptions || {}
    });
    var file = new _elements.File();
    file.node = ast;

    var root = _reconciler.default.createContainer(file, false, false);

    _reconciler.default.updateContainer(element, root, null, function () {// noop

      (0, _newArrowCheck2.default)(this, _this);
    }.bind(this));

    _reconciler.default.injectIntoDevTools({
      bundleType: Number(_util.dev),
      rendererPackageName: _pkg.default.name,
      version: _pkg.default.version
    });

    return file.node;
  }

  function render(element) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var ast = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : t.file(t.program([]), [], []);
    options = _objectSpread({
      prettier: true
    }, options);

    var _generate = (0, _generator.default)(renderAst(element, options, ast), options.generatorOptions || {}),
        code = _generate.code;

    if (options.prettier) {
      return _prettier.default.format(code, typeof options.prettier === 'boolean' ? {} : options.prettier);
    }

    return code;
  }
});
//# sourceMappingURL=render.js.map